# geos::algorithm::distance::DistanceToPoint Class Reference

`#include <DistanceToPoint.h>`

List of all members.

## Static Public Member Functions

static void | computeDistance (const geom::Geometry &geom, const geom::Coordinate &pt, PointPairDistance &ptDist)
static void | computeDistance (const geom::LineString &geom, const geom::Coordinate &pt, PointPairDistance &ptDist)
static void | computeDistance (const geom::LineSegment &geom, const geom::Coordinate &pt, PointPairDistance &ptDist)
static void | computeDistance (const geom::Polygon &geom, const geom::Coordinate &pt, PointPairDistance &ptDist)

## Detailed Description

Computes the Euclidean distance (L2 metric) from a Point to a Geometry.

Also computes two points which are separated by the distance.

The documentation for this class was generated from the following file:

- DistanceToPoint.h